--AH:ScriptId=be89e131-5faf-44eb-9569-d5c5bef4966a;3119
CREATE TABLE [RubyGems]
(
	[Gem_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NOT NULL,
	[Gem_Name] VARCHAR(200) NOT NULL,
	[LatestVersion_Text] VARCHAR(50) NULL,
	[Summary_Text] VARCHAR(200) NULL,
	[Project_Url] VARCHAR(1000) NULL,
	[Homepage_Url] VARCHAR(1000) NULL,
	[Wiki_Url] VARCHAR(1000) NULL,
	[Documentation_Url] VARCHAR(1000) NULL,
	[MailingList_Url] VARCHAR(1000) NULL,
	[SourceCode_Url] VARCHAR(1000) NULL,
	[BugTracker_Url] VARCHAR(1000) NULL,

	CONSTRAINT [PK__RubyGems]
		PRIMARY KEY NONCLUSTERED ([Gem_Id]),

	CONSTRAINT [UQ__RubyGems]
		UNIQUE CLUSTERED ([Feed_Id], [Gem_Name]),

	CONSTRAINT [FK__RubyGems__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE
)

CREATE TABLE [RubyGemVersions]
(
	[Gem_Id] INT NOT NULL,
	[Version_Text] VARCHAR(50) NOT NULL,
	[Platform_Text] VARCHAR(50) NOT NULL,
	[Download_Count] INT NOT NULL,
	[Metadata_Bytes] VARBINARY(MAX) NOT NULL,
	[Gem_Size] BIGINT NOT NULL,
	[Published_Date] DATETIME NOT NULL,
	[LastDownloaded_Date] DATETIME NULL,
	[Cached_Indicator] YNINDICATOR NOT NULL,
	[GemHash_Bytes] BINARY(32) NOT NULL,
	[Active_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__RubyGemVersions]
		PRIMARY KEY ([Gem_Id], [Version_Text], [Platform_Text]),

	CONSTRAINT [FK__RubyGemVersions__RubyGems]
		FOREIGN KEY ([Gem_Id])
		REFERENCES [RubyGems] ([Gem_Id])
		ON DELETE CASCADE
)

ALTER TABLE [Feeds]
	DROP CONSTRAINT [CK__Feeds__FeedType_Name]

GO

ALTER TABLE [Feeds]
	ADD CONSTRAINT [CK__Feeds__FeedType_Name]
		CHECK ([FeedType_Name] IN ('PowerShell', 'NuGet', 'Chocolatey', 'Deployment', 'npm', 'Bower', 'Maven', 'ProGet', 'Docker', 'RubyGems'))

ALTER TABLE [Connectors]
	DROP CONSTRAINT [CK__Connectors__FeedType]
GO

ALTER TABLE [Connectors]
	ADD CONSTRAINT [CK__Connectors__FeedType_Name]
		CHECK ([FeedType_Name] IN ('PowerShell', 'NuGet', 'Chocolatey', 'Deployment', 'npm', 'Bower', 'Maven', 'ProGet', 'Docker', 'RubyGems'))