EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExternalUsers_DeleteUser',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified external user.'
GO

IF OBJECT_ID('[ExternalUsers_DeleteUser]') IS NOT NULL DROP PROCEDURE [ExternalUsers_DeleteUser]
GO

CREATE PROCEDURE [ExternalUsers_DeleteUser]
(
	@UserDirectory_Id INT,
	@ExternalUser_Name NVARCHAR(200)
)
AS
BEGIN
	
	SET NOCOUNT ON

	DELETE [ExternalUsers]
	 WHERE [UserDirectory_Id] = @UserDirectory_Id
	   AND [ExternalUser_Name] = @ExternalUser_Name

END
GO

GRANT EXECUTE ON [ExternalUsers_DeleteUser] TO [ProGetUser_Role]
GO
