EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'LicenseRules_GetLicenseRules',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'LicenseRules_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the license rules, optionally filtered by feed.'
GO

IF OBJECT_ID('[LicenseRules_GetLicenseRules]') IS NOT NULL DROP PROCEDURE [LicenseRules_GetLicenseRules]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LicenseRules_GetLicenseRules]
(
	@Feed_Id INT = NULL,
	@GlobalOnly_Indicator YNINDICATOR = 'N'
)
AS
BEGIN

	SET NOCOUNT ON

	IF @GlobalOnly_Indicator = 'Y'
		SELECT *
		  FROM [LicenseRules_Extended]
		 WHERE [Feed_Id] IS NULL
	
	ELSE
		SELECT *
		  FROM [LicenseRules_Extended]
		 WHERE @Feed_Id IS NULL OR [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [LicenseRules_GetLicenseRules] TO [ProGetUser_Role]
GO
