EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackagesV2_IncrementDownloadCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ '',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Increments the download count of a local or cached remote package.'
GO

IF OBJECT_ID('[NuGetPackagesV2_IncrementDownloadCount]') IS NOT NULL DROP PROCEDURE [NuGetPackagesV2_IncrementDownloadCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NuGetPackagesV2_IncrementDownloadCount]
(
	@Feed_Id INT,
	@Package_Id VARCHAR(255),
	@Version_Text VARCHAR(255)
)
AS
BEGIN

	SET NOCOUNT ON

	UPDATE V
	   SET [Download_Count] = [Download_Count] + 1,
	       [LastDownloaded_Date] = GETUTCDATE()
	  FROM [NuGetPackageVersionsV2] V
	       INNER JOIN [NuGetPackagesV2] P
		           ON P.[NuGetPackageV2_Id] = V.[NuGetPackageV2_Id]
	 WHERE P.[Feed_Id] = @Feed_Id
	   AND P.[Package_Id] = @Package_Id
	   AND V.[Version_Text] = @Version_Text

END
GO

GRANT EXECUTE ON [NuGetPackagesV2_IncrementDownloadCount] TO [ProGetUser_Role]
GO
