EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_RemovePrivilege',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a privilege.'
GO

IF OBJECT_ID('[Security_RemovePrivilege]') IS NOT NULL DROP PROCEDURE [Security_RemovePrivilege]
GO

CREATE PROCEDURE [Security_RemovePrivilege]
(
	@Privilege_Id INT
)
AS
BEGIN
SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DECLARE @Feed_Id INT
	SET @Feed_Id = (SELECT [Feed_Id] FROM [Privileges] WHERE [Privilege_Id] = @Privilege_Id)

	DELETE [Privileges]
	 WHERE [Privilege_Id] = @Privilege_Id

	DECLARE @PrivilegeId2 NVARCHAR(MAX)
	SET @PrivilegeId2 = CAST(@Privilege_Id AS NVARCHAR(MAX))

	IF @@ROWCOUNT > 0
		EXEC [Events_RaiseEvent] 'SECDLP', @Feed_Id, 'Privilege_Id', @PrivilegeId2

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Security_RemovePrivilege] TO [ProGetUser_Role]
GO
