EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_GetVulnerabilities',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Vulnerabilities_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of known vulnerabilities.'
GO

IF OBJECT_ID('[Vulnerabilities_GetVulnerabilities]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_GetVulnerabilities]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_GetVulnerabilities]
(
	@FeedType_Name VARCHAR(20) = NULL,
	@Package_Name VARCHAR(200) = NULL,
	@Max_Count INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	IF @Max_Count IS NOT NULL
		SET ROWCOUNT @Max_Count

	SELECT *
	  FROM [Vulnerabilities_Extended]
	 WHERE (@FeedType_Name IS NULL OR [FeedType_Name] = @FeedType_Name)
	   AND (@Package_Name IS NULL OR [Package_Name] = @Package_Name)
	 ORDER BY [Vulnerability_Id] DESC

END
GO

GRANT EXECUTE ON [Vulnerabilities_GetVulnerabilities] TO [ProGetUser_Role]
GO